CREATE TABLE dos_supply_lines_int (
    LINE_INTERFACE_ID                 NUMBER(18, 0) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    HEADER_NUMBER                     VARCHAR2(72)  ,
    WORK_ORDER_ID                     VARCHAR2(480) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    ALLOW_EXPLOSION_FLAG              VARCHAR2(4)   ,
    WORK_ORDER_STATUS_ID              NUMBER(18, 0) ,
    WORK_DEFINITION_NAME              VARCHAR2(320) ,
    WORK_DEFINITION_AS_OF_DATE        TIMESTAMP(6)  ,
    WORK_ORDER_SUB_TYPE               VARCHAR2(120) ,
    WORK_DEFINITION_ID                VARCHAR2(72)  ,
    WORK_METHOD_CODE                  VARCHAR2(120) ,
    WORK_ORDER_TYPE                   VARCHAR2(120) ,
    SOURCE_SYSTEM_ID                  VARCHAR2(480) ,
    SCHEDULING_METHOD                 VARCHAR2(120) ,
    SOURCE_SYSTEM_TYPE                VARCHAR2(120) ,
    INTERFACE_SOURCE_CODE             VARCHAR2(480) ,
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    PARENT_LINE_NUMBER                NUMBER(18, 0) ,
    LINE_NUMBER                       NUMBER(18, 0) ,
    GOP_SPLIT_REFERENCE_ID            VARCHAR2(1200),
    SUPPLY_ORDER_SOURCE               VARCHAR2(120) ,
    CUSTOMER_ORDER_SOURCE_SYSTEM      VARCHAR2(120) ,
    SPLIT_LINE_REFERENCE_ID           VARCHAR2(1200),
    CUSTOMER_CONTACT_ID               NUMBER(18, 0) ,
    CUSTOMER_SHIP_TO_ID               NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_ORDER_SCHEDULE_NUMBER    VARCHAR2(200) ,
    CUSTOMER_ORDER_LINE_NUMBER        VARCHAR2(200) ,
    CUSTOMER_ORDER_NUMBER             VARCHAR2(200) ,
    BACK_TO_BACK_FLAG                 VARCHAR2(4)   ,
    HEADER_INTERFACE_ID               NUMBER(18, 0)     NOT NULL,
    INTERFACE_BATCH_NUMBER            VARCHAR2(200)     NOT NULL,
    PROCESS_STATUS                    VARCHAR2(120)     NOT NULL,
    ON_HOLD_REASON_CODE               VARCHAR2(120) ,
    SUPPLY_TYPE                       VARCHAR2(120)     NOT NULL,
    NEED_BY_DATE                      TIMESTAMP(6)  ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    QUANTITY                          NUMBER            NOT NULL,
    UOM_CODE                          VARCHAR2(12)      NOT NULL,
    SUPPLY_SOURCE_SYSTEM              VARCHAR2(480) ,
    SUPPLY_ORDER_REF_LINE_NUMBER      VARCHAR2(80)  ,
    SUPPLY_ORDER_REFERENCE_LINE_ID    NUMBER(18, 0) ,
    SUPPLY_OPERATION                  VARCHAR2(120) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ITEM_TYPE                         VARCHAR2(120) ,
    ITEM_REVISION                     VARCHAR2(288) ,
    EXEC_SYSTEM_ITEM_NUMBER           VARCHAR2(1200),
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    DESTINATION_BU_ID                 NUMBER(18, 0) ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_ORGANIZATION_CODE     VARCHAR2(72)  ,
    PARENT_LINE_ID                    NUMBER(18, 0) ,
    EXEC_SYSTEM_PROJECT_ID            NUMBER(18, 0) ,
    EXEC_SYSTEM_PROJECT_NAME          VARCHAR2(960) ,
    EXEC_SYSTEM_TASK_ID               NUMBER(18, 0) ,
    EXEC_SYSTEM_TASK_NAME             VARCHAR2(1020),
    CANCEL_REASON_CODE                VARCHAR2(120) ,
    CANCEL_COMMENTS                   VARCHAR2(4000),
    AUTOSOURCE_FLAG                   VARCHAR2(4)   ,
    AUTHORIZATION_STATUS              VARCHAR2(160) ,
    GROUP_CODE                        VARCHAR2(480) ,
    BATCH_ID                          NUMBER(18, 0) ,
    PREPARER_ID                       NUMBER(18, 0) ,
    REQUISITIONING_BU_ID              NUMBER(18, 0) ,
    END_INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    REQUISITION_LINE_ID               VARCHAR2(80)  ,
    LINE_LOCATION_ID                  NUMBER(18, 0) ,
    LINE_TYPE_ID                      NUMBER(18, 0) ,
    BUYER_ID                          NUMBER(18, 0) ,
    CATEGORY_ID                       NUMBER(18, 0) ,
    DISTRIBUTION_ID                   NUMBER(18, 0) ,
    DELIVER_TO_LOCATION_ID            NUMBER(18, 0) ,
    DELIVER_TO_REQUESTOR_ID           NUMBER(18, 0) ,
    PURCHASE_ORDER_HEADER_ID          VARCHAR2(480) ,
    PURCHASE_ORDER_LINE_ID            VARCHAR2(80)  ,
    PURCHASE_ORDER_SCHEDULE_NUMBER    VARCHAR2(80)  ,
    SUGGESTED_VENDOR_ID               NUMBER(18, 0) ,
    SUGGESTED_VENDOR_SITE_ID          NUMBER(18, 0) ,
    SCHEDULED_SHIP_DATE               TIMESTAMP(6)  ,
    REQUESTED_SHIP_DATE               TIMESTAMP(6)  ,
    EARLIEST_SHIP_DATE                TIMESTAMP(6)  ,
    DELIVERY_LEAD_TIME                NUMBER(5, 0)  ,
    SHIPPING_METHOD                   VARCHAR2(480) ,
    DESTINATION_TYPE_CODE             VARCHAR2(120) ,
    DESTINATION_SUBINVENTORY_CODE     VARCHAR2(160) ,
    REQUISITION_NUMBER                VARCHAR2(480) ,
    REQUISITION_LINE_NUMBER           VARCHAR2(80)  ,
    REQUISITION_SOURCE_TYPE_CODE      VARCHAR2(480) ,
    PURCHASE_ORDER_NUMBER             VARCHAR2(480) ,
    PURCHASE_ORDER_LINE_NUMBER        VARCHAR2(80)  ,
    EXEC_SYSTEM_DELIVER_TO_SUBINV     VARCHAR2(160) ,
    EXEC_SYSTEM_DELVR_TO_LOC_NAME     VARCHAR2(960) ,
    EXEC_SYSTEM_DELVR_TO_REQUESTOR    VARCHAR2(960) ,
    EXEC_SYSTEM_SUGGESTED_VENDOR      VARCHAR2(960) ,
    EXEC_SYSTEM_SUGSTD_VENDOR_SITE    VARCHAR2(960) ,
    GROUP_ID                          NUMBER(18, 0) ,
    LOAD_TYPE                         VARCHAR2(120) ,
    DELIVER_TO_SUBINVENTORY           VARCHAR2(160) ,
    NET_QUANTITY                      NUMBER        ,
    NET_QUANTITY_UOM_CODE             VARCHAR2(12)  ,
    SCHEDULE_GRP_ID                   NUMBER(18, 0) ,
    CHARGE_ACCT_ID                    NUMBER(18, 0) ,
    BUILD_SEQUENCE                    NUMBER(18, 0) ,
    ACCOUNTING_CLASS_CODE             VARCHAR2(480) ,
    BOM_REVISION_DATE                 TIMESTAMP(6)  ,
    ROUTING_REVISION_DATE             TIMESTAMP(6)  ,
    FIRM_PLANNED_FLAG                 VARCHAR2(4)   ,
    DEMAND_CLASS                      VARCHAR2(120) ,
    ALT_BOM_DESIGNATOR                VARCHAR2(120) ,
    ALT_ROUTING_DESIGNATOR            VARCHAR2(120) ,
    TRANSFER_ORDER_HEADER_ID          VARCHAR2(480) ,
    TRANSFER_ORDER_LINE_ID            VARCHAR2(80)  ,
    TRANSFER_ORDER_HEADER_NUMBER      VARCHAR2(480) ,
    TRANSFER_ORDER_LINE_NUMBER        VARCHAR2(80)  ,
    END_ITEM_NAME                     VARCHAR2(1200),
    SOURCE_BU_ID                      NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SALES_ORDER_HEADER_ID             NUMBER(18, 0) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    SALES_ORDER_HEADER_NUMBER         VARCHAR2(480) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(80)  ,
    SOURCE_SUBINVENTORY_CODE          VARCHAR2(160) ,
    SOURCE_LOCATION_ID                NUMBER(18, 0) ,
    DESTINATION_LOCATION_ID           NUMBER(18, 0) ,
    AGREEMENT_ID                      NUMBER(18, 0) ,
    CARRIER_ID                        NUMBER(18, 0) ,
    SHIP_TO_PARTY_ID                  NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID             NUMBER(18, 0) ,
    SHIP_CLASS_OF_SERVICE             VARCHAR2(120) ,
    SHIP_MODE_OF_TRANSPORT            VARCHAR2(120) ,
    SHIPMENT_PRIORITY_CODE            VARCHAR2(120) ,
    DOO_SHIPMENT_FLAG                 VARCHAR2(4)   ,
    FIRM_DEMAND_FLAG                  VARCHAR2(4)   ,
    FUNDS_STATUS                      VARCHAR2(120) ,
    BUDGET_DATE                       TIMESTAMP(6)  ,
    EXEC_SYSTEM_SOURCE_ORG_CODE       VARCHAR2(72)  ,
    EXEC_SYSTEM_SOURCE_LOCTR_CODE     VARCHAR2(160) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    WORK_ORDER_COMPLETION_DATE        TIMESTAMP(6)  ,
    WORK_ORDER_START_DATE             TIMESTAMP(6)  ,
    WORK_ORDER_DESCRIPTION            VARCHAR2(3800),
    RESUBMIT_COUNT                    NUMBER(6, 0)  ,
    SUPPLY_ORDER_HEADER_ID            NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    ITEM_NUMBER                       VARCHAR2(1200),
    SOURCE_ORGANIZATION_CODE          VARCHAR2(72)  ,
    REFERENCE_TRACKING_LINE_ID        NUMBER(18, 0) ,
    OUTSIDE_PROCESSING_FLAG           VARCHAR2(4)   ,
    SHIPMENT_FLAG                     VARCHAR2(4)   ,
    BUDGET_CONTROL_ENABLED_FLAG       VARCHAR2(4)   ,
    TRANSFER_PRICE_CURRENCY_CODE      VARCHAR2(60)  ,
    TRANSFER_PRICE                    NUMBER        ,
    REPRICE_FLAG                      VARCHAR2(4)   ,
    MOVEMENT_REQUEST_FLAG             VARCHAR2(4)   ,
    COMMENTS                          VARCHAR2(960) ,
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    NOTE_TO_SUPPLIER                  VARCHAR2(4000),
    ONE_TIME_CONFIG_FLAG              VARCHAR2(4)   ,
    CONFIG_ITEM_VERSION               NUMBER(9, 0)  ,
    REQUEST_REFERENCE_NUMBER          VARCHAR2(800) ,
    REQUEST_REFERENCE_ID              NUMBER(18, 0) ,
    SOURCE_LOCATOR_ID                 NUMBER(18, 0) ,
    DESTINATION_LOCATOR_ID            NUMBER(18, 0) ,
    UNIT_PRICE                        NUMBER        ,
    XFER_ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    XFER_ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR16             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR17             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR18             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR19             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR20             VARCHAR2(600) ,
    XFER_ATTRIBUTE_NUMBER1            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER2            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER3            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER4            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER5            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER6            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER7            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER8            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER9            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER10           NUMBER        ,
    XFER_ATTRIBUTE_DATE1              DATE          ,
    XFER_ATTRIBUTE_DATE2              DATE          ,
    XFER_ATTRIBUTE_DATE3              DATE          ,
    XFER_ATTRIBUTE_DATE4              DATE          ,
    XFER_ATTRIBUTE_DATE5              DATE          ,
    XFER_ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    WORK_PROCESS_NAME                 VARCHAR2(480) ,
    WORK_ORDER_PRIORITY               NUMBER        ,
    MAKE_ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    MAKE_ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR16             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR17             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR18             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR19             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR20             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_NUMBER1            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER2            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER3            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER4            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER5            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER6            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER7            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER8            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER9            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER10           NUMBER        ,
    MAKE_ATTRIBUTE_DATE1              DATE          ,
    MAKE_ATTRIBUTE_DATE2              DATE          ,
    MAKE_ATTRIBUTE_DATE3              DATE          ,
    MAKE_ATTRIBUTE_DATE4              DATE          ,
    MAKE_ATTRIBUTE_DATE5              DATE          ,
    MAKE_ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    BUY_ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    BUY_ATTRIBUTE_NUMBER1             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER2             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER3             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER4             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER5             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER6             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER7             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER8             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER9             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER10            NUMBER        ,
    BUY_ATTRIBUTE_DATE1               DATE          ,
    BUY_ATTRIBUTE_DATE2               DATE          ,
    BUY_ATTRIBUTE_DATE3               DATE          ,
    BUY_ATTRIBUTE_DATE4               DATE          ,
    BUY_ATTRIBUTE_DATE5               DATE          ,
    BUY_ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_DATE6               DATE          ,
    BUY_ATTRIBUTE_DATE7               DATE          ,
    BUY_ATTRIBUTE_DATE8               DATE          ,
    BUY_ATTRIBUTE_DATE9               DATE          ,
    BUY_ATTRIBUTE_DATE10              DATE          ,
    BUY_ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    LINE_INTERFACE_ID                 NUMBER(18, 0) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    HEADER_NUMBER                     VARCHAR2(72)  ,
    WORK_ORDER_ID                     VARCHAR2(480) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    ALLOW_EXPLOSION_FLAG              VARCHAR2(4)   ,
    WORK_ORDER_STATUS_ID              NUMBER(18, 0) ,
    WORK_DEFINITION_NAME              VARCHAR2(320) ,
    WORK_DEFINITION_AS_OF_DATE        TIMESTAMP(6)  ,
    WORK_ORDER_SUB_TYPE               VARCHAR2(120) ,
    WORK_DEFINITION_ID                VARCHAR2(72)  ,
    WORK_METHOD_CODE                  VARCHAR2(120) ,
    WORK_ORDER_TYPE                   VARCHAR2(120) ,
    SOURCE_SYSTEM_ID                  VARCHAR2(480) ,
    SCHEDULING_METHOD                 VARCHAR2(120) ,
    SOURCE_SYSTEM_TYPE                VARCHAR2(120) ,
    INTERFACE_SOURCE_CODE             VARCHAR2(480) ,
    PARENT_ITEM_ID                    NUMBER(18, 0) ,
    PARENT_LINE_NUMBER                NUMBER(18, 0) ,
    LINE_NUMBER                       NUMBER(18, 0) ,
    GOP_SPLIT_REFERENCE_ID            VARCHAR2(1200),
    SUPPLY_ORDER_SOURCE               VARCHAR2(120) ,
    CUSTOMER_ORDER_SOURCE_SYSTEM      VARCHAR2(120) ,
    SPLIT_LINE_REFERENCE_ID           VARCHAR2(1200),
    CUSTOMER_CONTACT_ID               NUMBER(18, 0) ,
    CUSTOMER_SHIP_TO_ID               NUMBER(18, 0) ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_ORDER_SCHEDULE_NUMBER    VARCHAR2(200) ,
    CUSTOMER_ORDER_LINE_NUMBER        VARCHAR2(200) ,
    CUSTOMER_ORDER_NUMBER             VARCHAR2(200) ,
    BACK_TO_BACK_FLAG                 VARCHAR2(4)   ,
    HEADER_INTERFACE_ID               NUMBER(18, 0)     NOT NULL,
    INTERFACE_BATCH_NUMBER            VARCHAR2(200)     NOT NULL,
    PROCESS_STATUS                    VARCHAR2(120)     NOT NULL,
    ON_HOLD_REASON_CODE               VARCHAR2(120) ,
    SUPPLY_TYPE                       VARCHAR2(120)     NOT NULL,
    NEED_BY_DATE                      TIMESTAMP(6)  ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    QUANTITY                          NUMBER            NOT NULL,
    UOM_CODE                          VARCHAR2(12)      NOT NULL,
    SUPPLY_SOURCE_SYSTEM              VARCHAR2(480) ,
    SUPPLY_ORDER_REF_LINE_NUMBER      VARCHAR2(80)  ,
    SUPPLY_ORDER_REFERENCE_LINE_ID    NUMBER(18, 0) ,
    SUPPLY_OPERATION                  VARCHAR2(120) ,
    ITEM_DESCRIPTION                  VARCHAR2(960) ,
    ITEM_TYPE                         VARCHAR2(120) ,
    ITEM_REVISION                     VARCHAR2(288) ,
    EXEC_SYSTEM_ITEM_NUMBER           VARCHAR2(1200),
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    DESTINATION_BU_ID                 NUMBER(18, 0) ,
    DESTINATION_ORGANIZATION_ID       NUMBER(18, 0) ,
    DESTINATION_ORGANIZATION_CODE     VARCHAR2(72)  ,
    PARENT_LINE_ID                    NUMBER(18, 0) ,
    EXEC_SYSTEM_PROJECT_ID            NUMBER(18, 0) ,
    EXEC_SYSTEM_PROJECT_NAME          VARCHAR2(960) ,
    EXEC_SYSTEM_TASK_ID               NUMBER(18, 0) ,
    EXEC_SYSTEM_TASK_NAME             VARCHAR2(1020),
    CANCEL_REASON_CODE                VARCHAR2(120) ,
    CANCEL_COMMENTS                   VARCHAR2(4000),
    AUTOSOURCE_FLAG                   VARCHAR2(4)   ,
    AUTHORIZATION_STATUS              VARCHAR2(160) ,
    GROUP_CODE                        VARCHAR2(480) ,
    BATCH_ID                          NUMBER(18, 0) ,
    PREPARER_ID                       NUMBER(18, 0) ,
    REQUISITIONING_BU_ID              NUMBER(18, 0) ,
    END_INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    REQUISITION_LINE_ID               VARCHAR2(80)  ,
    LINE_LOCATION_ID                  NUMBER(18, 0) ,
    LINE_TYPE_ID                      NUMBER(18, 0) ,
    BUYER_ID                          NUMBER(18, 0) ,
    CATEGORY_ID                       NUMBER(18, 0) ,
    DISTRIBUTION_ID                   NUMBER(18, 0) ,
    DELIVER_TO_LOCATION_ID            NUMBER(18, 0) ,
    DELIVER_TO_REQUESTOR_ID           NUMBER(18, 0) ,
    PURCHASE_ORDER_HEADER_ID          VARCHAR2(480) ,
    PURCHASE_ORDER_LINE_ID            VARCHAR2(80)  ,
    PURCHASE_ORDER_SCHEDULE_NUMBER    VARCHAR2(80)  ,
    SUGGESTED_VENDOR_ID               NUMBER(18, 0) ,
    SUGGESTED_VENDOR_SITE_ID          NUMBER(18, 0) ,
    SCHEDULED_SHIP_DATE               TIMESTAMP(6)  ,
    REQUESTED_SHIP_DATE               TIMESTAMP(6)  ,
    EARLIEST_SHIP_DATE                TIMESTAMP(6)  ,
    DELIVERY_LEAD_TIME                NUMBER(5, 0)  ,
    SHIPPING_METHOD                   VARCHAR2(480) ,
    DESTINATION_TYPE_CODE             VARCHAR2(120) ,
    DESTINATION_SUBINVENTORY_CODE     VARCHAR2(160) ,
    REQUISITION_NUMBER                VARCHAR2(480) ,
    REQUISITION_LINE_NUMBER           VARCHAR2(80)  ,
    REQUISITION_SOURCE_TYPE_CODE      VARCHAR2(480) ,
    PURCHASE_ORDER_NUMBER             VARCHAR2(480) ,
    PURCHASE_ORDER_LINE_NUMBER        VARCHAR2(80)  ,
    EXEC_SYSTEM_DELIVER_TO_SUBINV     VARCHAR2(160) ,
    EXEC_SYSTEM_DELVR_TO_LOC_NAME     VARCHAR2(960) ,
    EXEC_SYSTEM_DELVR_TO_REQUESTOR    VARCHAR2(960) ,
    EXEC_SYSTEM_SUGGESTED_VENDOR      VARCHAR2(960) ,
    EXEC_SYSTEM_SUGSTD_VENDOR_SITE    VARCHAR2(960) ,
    GROUP_ID                          NUMBER(18, 0) ,
    LOAD_TYPE                         VARCHAR2(120) ,
    DELIVER_TO_SUBINVENTORY           VARCHAR2(160) ,
    NET_QUANTITY                      NUMBER        ,
    NET_QUANTITY_UOM_CODE             VARCHAR2(12)  ,
    SCHEDULE_GRP_ID                   NUMBER(18, 0) ,
    CHARGE_ACCT_ID                    NUMBER(18, 0) ,
    BUILD_SEQUENCE                    NUMBER(18, 0) ,
    ACCOUNTING_CLASS_CODE             VARCHAR2(480) ,
    BOM_REVISION_DATE                 TIMESTAMP(6)  ,
    ROUTING_REVISION_DATE             TIMESTAMP(6)  ,
    FIRM_PLANNED_FLAG                 VARCHAR2(4)   ,
    DEMAND_CLASS                      VARCHAR2(120) ,
    ALT_BOM_DESIGNATOR                VARCHAR2(120) ,
    ALT_ROUTING_DESIGNATOR            VARCHAR2(120) ,
    TRANSFER_ORDER_HEADER_ID          VARCHAR2(480) ,
    TRANSFER_ORDER_LINE_ID            VARCHAR2(80)  ,
    TRANSFER_ORDER_HEADER_NUMBER      VARCHAR2(480) ,
    TRANSFER_ORDER_LINE_NUMBER        VARCHAR2(80)  ,
    END_ITEM_NAME                     VARCHAR2(1200),
    SOURCE_BU_ID                      NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_ID            NUMBER(18, 0) ,
    SALES_ORDER_HEADER_ID             NUMBER(18, 0) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    SALES_ORDER_HEADER_NUMBER         VARCHAR2(480) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(80)  ,
    SOURCE_SUBINVENTORY_CODE          VARCHAR2(160) ,
    SOURCE_LOCATION_ID                NUMBER(18, 0) ,
    DESTINATION_LOCATION_ID           NUMBER(18, 0) ,
    AGREEMENT_ID                      NUMBER(18, 0) ,
    CARRIER_ID                        NUMBER(18, 0) ,
    SHIP_TO_PARTY_ID                  NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID             NUMBER(18, 0) ,
    SHIP_CLASS_OF_SERVICE             VARCHAR2(120) ,
    SHIP_MODE_OF_TRANSPORT            VARCHAR2(120) ,
    SHIPMENT_PRIORITY_CODE            VARCHAR2(120) ,
    DOO_SHIPMENT_FLAG                 VARCHAR2(4)   ,
    FIRM_DEMAND_FLAG                  VARCHAR2(4)   ,
    FUNDS_STATUS                      VARCHAR2(120) ,
    BUDGET_DATE                       TIMESTAMP(6)  ,
    EXEC_SYSTEM_SOURCE_ORG_CODE       VARCHAR2(72)  ,
    EXEC_SYSTEM_SOURCE_LOCTR_CODE     VARCHAR2(160) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    WORK_ORDER_COMPLETION_DATE        TIMESTAMP(6)  ,
    WORK_ORDER_START_DATE             TIMESTAMP(6)  ,
    WORK_ORDER_DESCRIPTION            VARCHAR2(3800),
    RESUBMIT_COUNT                    NUMBER(6, 0)  ,
    SUPPLY_ORDER_HEADER_ID            NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    ITEM_NUMBER                       VARCHAR2(1200),
    SOURCE_ORGANIZATION_CODE          VARCHAR2(72)  ,
    REFERENCE_TRACKING_LINE_ID        NUMBER(18, 0) ,
    OUTSIDE_PROCESSING_FLAG           VARCHAR2(4)   ,
    SHIPMENT_FLAG                     VARCHAR2(4)   ,
    BUDGET_CONTROL_ENABLED_FLAG       VARCHAR2(4)   ,
    TRANSFER_PRICE_CURRENCY_CODE      VARCHAR2(60)  ,
    TRANSFER_PRICE                    NUMBER        ,
    REPRICE_FLAG                      VARCHAR2(4)   ,
    COMMENTS                          VARCHAR2(960) ,
    NOTE_TO_RECEIVER                  VARCHAR2(4000),
    NOTE_TO_SUPPLIER                  VARCHAR2(4000),
    XFER_ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    XFER_ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR16             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR17             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR18             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR19             VARCHAR2(600) ,
    XFER_ATTRIBUTE_CHAR20             VARCHAR2(600) ,
    XFER_ATTRIBUTE_NUMBER1            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER2            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER3            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER4            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER5            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER6            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER7            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER8            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER9            NUMBER        ,
    XFER_ATTRIBUTE_NUMBER10           NUMBER        ,
    XFER_ATTRIBUTE_DATE1              DATE          ,
    XFER_ATTRIBUTE_DATE2              DATE          ,
    XFER_ATTRIBUTE_DATE3              DATE          ,
    XFER_ATTRIBUTE_DATE4              DATE          ,
    XFER_ATTRIBUTE_DATE5              DATE          ,
    XFER_ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    XFER_ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    MOVEMENT_REQUEST_FLAG             VARCHAR2(4)   ,
    WORK_PROCESS_NAME                 VARCHAR2(480) ,
    WORK_ORDER_PRIORITY               NUMBER        ,
    MAKE_ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    MAKE_ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR16             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR17             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR18             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR19             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_CHAR20             VARCHAR2(600) ,
    MAKE_ATTRIBUTE_NUMBER1            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER2            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER3            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER4            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER5            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER6            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER7            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER8            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER9            NUMBER        ,
    MAKE_ATTRIBUTE_NUMBER10           NUMBER        ,
    MAKE_ATTRIBUTE_DATE1              DATE          ,
    MAKE_ATTRIBUTE_DATE2              DATE          ,
    MAKE_ATTRIBUTE_DATE3              DATE          ,
    MAKE_ATTRIBUTE_DATE4              DATE          ,
    MAKE_ATTRIBUTE_DATE5              DATE          ,
    MAKE_ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    MAKE_ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    BUY_ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    BUY_ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    BUY_ATTRIBUTE_NUMBER1             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER2             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER3             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER4             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER5             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER6             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER7             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER8             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER9             NUMBER        ,
    BUY_ATTRIBUTE_NUMBER10            NUMBER        ,
    BUY_ATTRIBUTE_DATE1               DATE          ,
    BUY_ATTRIBUTE_DATE2               DATE          ,
    BUY_ATTRIBUTE_DATE3               DATE          ,
    BUY_ATTRIBUTE_DATE4               DATE          ,
    BUY_ATTRIBUTE_DATE5               DATE          ,
    BUY_ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_DATE6               DATE          ,
    BUY_ATTRIBUTE_DATE7               DATE          ,
    BUY_ATTRIBUTE_DATE8               DATE          ,
    BUY_ATTRIBUTE_DATE9               DATE          ,
    BUY_ATTRIBUTE_DATE10              DATE          ,
    BUY_ATTRIBUTE_TIMESTAMP6          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP7          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP8          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP9          TIMESTAMP(6)  ,
    BUY_ATTRIBUTE_TIMESTAMP10         TIMESTAMP(6)  ,
    ONE_TIME_CONFIG_FLAG              VARCHAR2(4)   ,
    CONFIG_ITEM_VERSION               NUMBER(9, 0)  ,
    REQUEST_REFERENCE_NUMBER          VARCHAR2(800) ,
    REQUEST_REFERENCE_ID              NUMBER(18, 0) ,
    SOURCE_LOCATOR_ID                 NUMBER(18, 0) ,
    DESTINATION_LOCATOR_ID            NUMBER(18, 0) ,
    UNIT_PRICE                        NUMBER        ,
    CONSTRAINT pk_dos_supply_lines_int PRIMARY KEY (LINE_INTERFACE_ID, LINE_INTERFACE_ID)
);
